diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 43e564a..b3caadc 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -58261,16 +58261,16 @@ MakeCachableSet(S:SetCategory): Exports == Implementation where
     setPosition(x, n)      == (x.pos := n; void)
     coerce(x:%):S          == x.setpart
     coerce(x:%):OutputForm == x::S::OutputForm
-    coerce(s:S):%          == enterInCache([s, 0]$Rep, s = #1::S)
+    coerce(s:S):%          == enterInCache([s, 0]$Rep, x+->(s = x::S))
 
     x < y ==
-      if position(x) = 0 then enterInCache(x, x::S = #1::S)
-      if position(y) = 0 then enterInCache(y, y::S = #1::S)
+      if position(x) = 0 then enterInCache(x, x1+->(x::S = x1::S))
+      if position(y) = 0 then enterInCache(y, x1+->(y::S = x1::S))
       position(x) < position(y)
 
     x = y ==
-      if position(x) = 0 then enterInCache(x, x::S = #1::S)
-      if position(y) = 0 then enterInCache(y, y::S = #1::S)
+      if position(x) = 0 then enterInCache(x, x1+->(x::S = x1::S))
+      if position(y) = 0 then enterInCache(y, x1+->(y::S = x1::S))
       position(x) = position(y)
 
 @
diff --git a/changelog b/changelog
index 6616c58..18c5855 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090513 tpd src/axiom-website/patches.html 20090513.03.tpd.patch
+20090513 tpd books/bookvol10.3 MKCHSET +-> conversion
 20090513 tpd src/axiom-website/patches.html 20090513.02.tpd.patch
 20090513 tpd books/bookvol10.4 COMMONOP +-> conversion
 20090513 tpd src/axiom-website/patches.html 20090513.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index fd0318e..0f18300 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1276,5 +1276,7 @@ bookvol10.2 IR +-> conversion<br/>
 bookvol10.3 LMDICT +-> conversion<br/>
 <a href="patches/20090513.02.tpd.patch">20090513.02.tpd.patch</a>
 bookvol10.4 COMMONOP +-> conversion<br/>
+<a href="patches/20090513.03.tpd.patch">20090513.03.tpd.patch</a>
+bookvol10.3 MKCHSET +-> conversion<br/>
  </body>
 </html>
